import React from 'react';
import { useTranslation } from '../../../../providers/Translation/index.js';
const baseClass = 'condition-value-number';
const NumberField = ({ disabled, onChange, value })=>{
    const { t } = useTranslation();
    return /*#__PURE__*/ React.createElement("input", {
        className: baseClass,
        disabled: disabled,
        onChange: (e)=>onChange(e.target.value),
        placeholder: t('general:enterAValue'),
        type: "number",
        value: value
    });
};
export default NumberField;

//# sourceMappingURL=index.js.map