import { fieldAffectsData } from 'payload/types';
export const createNestedFieldPath = (parentPath, field)=>{
    if (parentPath) {
        if (fieldAffectsData(field)) {
            return `${parentPath}.${field.name}`;
        }
        return parentPath;
    }
    if (fieldAffectsData(field)) {
        return field.name;
    }
    return '';
};

//# sourceMappingURL=createNestedFieldPath.js.map