export function themeIsValid(string) {
    return string ? [
        'dark',
        'light'
    ].includes(string) : false;
}
export const getImplicitPreference = ()=>{
    const mediaQuery = '(prefers-color-scheme: dark)';
    const mql = window.matchMedia(mediaQuery);
    const hasImplicitPreference = typeof mql.matches === 'boolean';
    if (hasImplicitPreference) {
        return mql.matches ? 'dark' : 'light';
    }
    return null;
};

//# sourceMappingURL=utilities.js.map