'use client';
import React from 'react';
const ReadOnlyContext = /*#__PURE__*/ React.createContext(undefined);
export const ReadOnlyProvider = (props)=>{
    const { children, readOnly } = props;
    return /*#__PURE__*/ React.createElement(ReadOnlyContext.Provider, {
        value: readOnly
    }, children);
};
export const useReadOnly = ()=>{
    const path = React.useContext(ReadOnlyContext);
    return path;
};

//# sourceMappingURL=index.js.map