import React from 'react';
import SearchIcon from '../../../../../graphics/Search/index.js';
import { useTranslation } from '../../../../../providers/Translation/index.js';
const baseClass = 'block-search';
const BlockSearch = (props)=>{
    const { setSearchTerm } = props;
    const { t } = useTranslation();
    const handleChange = (e)=>{
        setSearchTerm(e.target.value);
    };
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement("input", {
        className: `${baseClass}__input`,
        onChange: handleChange,
        placeholder: t('fields:searchForBlock')
    }), /*#__PURE__*/ React.createElement(SearchIcon, null));
};
export default BlockSearch;

//# sourceMappingURL=index.js.map